    # File lib/rbot/botuser.rb, line 703
          def load_array(ary, forced)
            unless ary
              warning "Tried to load an empty array"
              return
            end
            raise "Won't load with unsaved changes" if @has_changes and not forced
            reset_hashes
            ary.each { |x|
              raise TypeError, "#{x} should be a Hash" unless x.kind_of?(Hash)
              u = x[:username]
              unless include?(u)
                create_botuser(u)
              end
              get_botuser(u).from_hash(x)
              get_botuser(u).transient = false
            }
            @has_changes=false
          end